



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>利用Springboot-mail发送邮件</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">利用Springboot-mail发送邮件</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-29 03:32:58 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>相信使用过Spring的众多开发者都知道Spring提供了非常好用的JavaMailSender接口实现邮件发送。在Spring Boot的Starter模块中也为此提供了自动化配置。下面通过实例看看如何在Spring Boot中使用JavaMailSender发送邮件。</p>
<h2>快速入门</h2>
<h3>在Spring Boot的工程中的pom.xml中引入spring-boot-starter-mail依赖：</h3>
<pre class="prettyprint linenums"><code>&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;<br />
&lt;project xmlns=&quot;http://maven.apache.org/POM/4.0.0&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;<br />
         xsi:schemaLocation=&quot;http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd&quot;&gt;<br />
    &lt;modelVersion&gt;4.0.0&lt;/modelVersion&gt;<br />
    &lt;parent&gt;<br />
        &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
        &lt;artifactId&gt;spring-boot-starter-parent&lt;/artifactId&gt;<br />
        &lt;version&gt;2.1.1.RELEASE&lt;/version&gt;<br />
        &lt;relativePath/&gt; &lt;!-- lookup parent from repository --&gt;<br />
    &lt;/parent&gt;<br />
    &lt;groupId&gt;com.ctf&lt;/groupId&gt;<br />
    &lt;artifactId&gt;project&lt;/artifactId&gt;<br />
    &lt;version&gt;0.0.1-SNAPSHOT&lt;/version&gt;<br />
    &lt;name&gt;project&lt;/name&gt;<br />
    &lt;description&gt;Demo project for Spring Boot&lt;/description&gt;

    &lt;properties&gt;<br />
        &lt;java.version&gt;1.8&lt;/java.version&gt;<br />
    &lt;/properties&gt;

    &lt;dependencies&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.mybatis.spring.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;mybatis-spring-boot-starter&lt;/artifactId&gt;<br />
            &lt;version&gt;1.3.2&lt;/version&gt;<br />
        &lt;/dependency&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-boot-starter-mail&lt;/artifactId&gt;<br />
        &lt;/dependency&gt;<br />
        &lt;dependency&gt;<br />
            &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
            &lt;artifactId&gt;spring-boot-starter-test&lt;/artifactId&gt;<br />
        &lt;/dependency&gt;<br />
    &lt;/dependencies&gt;<br />
&lt;/project&gt;<br />
</code></pre>
<p>如其他自动化配置模块一样，在完成了依赖引入之后，只需要在application.properties中配置相应的属性内容。</p>
<p>下面我们以QQ邮箱为例，在application.properties中加入如下配置（注意替换自己的用户名和密码）：</p>
<pre class="prettyprint linenums"><code>spring.mail.host=smtp.qq.com<br />
spring.mail.username=QQ邮箱地址<br />
spring.mail.password=QQ邮箱的授权码<br />
spring.mail.properties.mail.smtp.auth=true<br />
spring.mail.properties.mail.smtp.starttls.enable=true<br />
spring.mail.properties.mail.smtp.starttls.required=true<br />
</code></pre>
<p>如果不是用QQ邮箱做邮箱服务器的话，请参考相关邮箱服务的相关说明。</p>
<p>这里给出QQ邮箱的相关说明：<a href="https://service.mail.qq.com/cgi-bin/help?subtype=1&amp;&amp;id=28&amp;&amp;no=1001256" rel="external nofollow noreferrer">https://service.mail.qq.com/cgi-bin/help?subtype=1&amp;&amp;id=28&amp;&amp;no=1001256</a></p>
<h3>通过单元测试来实现一封简单邮件的发送：</h3>
<pre class="prettyprint linenums"><code>package com.ctf.project;

import org.junit.Test;<br />
import org.junit.runner.RunWith;<br />
import org.springframework.beans.factory.annotation.Autowired;<br />
import org.springframework.boot.test.context.SpringBootTest;<br />
import org.springframework.mail.javamail.JavaMailSender;<br />
import org.springframework.mail.javamail.MimeMessageHelper;<br />
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import javax.mail.internet.MimeMessage;

/**<br />
 * @author: Tu9ohost<br />
 */<br />
@RunWith(SpringJUnit4ClassRunner.class)<br />
@SpringBootTest<br />
public class sendInlineMail {<br />
    @Autowired<br />
    private JavaMailSender mailSender;

    @Test<br />
    public void sendAttachmentsMail() throws Exception{<br />
        MimeMessage mimeMessage = mailSender.createMimeMessage();

        MimeMessageHelper helper = new MimeMessageHelper(mimeMessage,true);<br />
        helper.setFrom(&quot;liuyu1199633@qq.com&quot;);<br />
        helper.setTo(&quot;tugohost@gmail.com&quot;);<br />
        helper.setSubject(&quot;主题：嵌入静态资源&quot;);<br />
        helper.setText(&quot;&lt;html&gt;&lt;body&gt;Hello,World&lt;/body&gt;&lt;/html&gt;&quot;,true);<br />
/*<br />
        FileSystemResource fileSystemResource = new FileSystemResource(new File(&quot;weixin.jpg&quot;));<br />
        helper.addInline(&quot;weixin&quot;,fileSystemResource);*/

        mailSender.send(mimeMessage);<br />
    }<br />
}

</code></pre>
<h2>效果展示：</h2>
<p>我用的我自己的QQ邮箱发给我的Gmail邮箱。<br /><br />
<img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1330447/201902/1330447-20190211154541941-1767652088.png"></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q77ol1q.html">Solr学习总结（四）Solr查询参数</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyrdp28.html">修复docker pull image failed</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlkk608.html">Entity Framework关联查询以及数据加载（延迟加载，预加载）</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7d6jgq.html">Java（多态）动手动脑</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8epe1j9.html">使用Python中的urlparse、urllib抓取和解析网页（一）（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmlpex9.html">Codeforces Round &num;356 &lpar;Div&period; 2&rpar;B&period; Bear and Finding Criminals（水题）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1z5wz49.html">叠罗汉I</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1rdxv9.html">Flexigrid在IE下不显示数据的处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn146d38.html">IE兼容性问题解决方案2--css样式兼容标签</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnzo2rq.html">解决DataTable中的DataColumn类型默认为int类型时&comma; 导致不能修改其列值为其他类型的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zne3z9.html">&dollar;&lpar;function&lpar;&rpar;&lbrace;&rcub;&rpar;里面不能声明定义函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xe7gw9.html">Combinations 解答</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o12rglq.html">重写EasyUI的&dollar;&period;fn&period;datagrid&period;defaults&period;editors</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2vv20q.html">python3数字、日期和时间</a>
		</li>
						<li><a href="https://www.batexi.com/a/qve57jy9.html">STM32-M0中断优先级介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmnd3e9.html">android 实践项目四</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwlen1k9.html">在ListView的右边添加字母列表</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2kpp13q.html">list的迭代器能解决并发问题&comma;collection 的迭代器不能解决并发问题，for可以解决并发问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2kr5nxq.html">&lbrack;bzoj1016&rsqb;&lbrack;JSOI2008&rsqb;最小生成树计数 &lpar;Kruskal &plus; Matrix Tree 定理&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e0mppjq.html">MR execution in YARN</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9pwe3j48.html">layui表格和弹出框的简单示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1r2lx48.html">理解Liang-Barsky裁剪算法的算法原理</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5m70eq.html">分布式监控系统Zabbix-3&period;0&period;3-新版微信报警（企业微信取代企业号）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5m6v4q.html">Abstractive Summarization</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwe2ny8.html">第八次Scrum  meeting</a>
			</li>
						<li><a href="https://www.batexi.com/a/960gzn39.html">linux 下gcc 编译结构体问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5mwd7q.html">Github的建立及心得体会</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rl1m49.html">githup地址</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyxommq.html">pandas的to&lowbar;csv&lpar;&rpar;使用细节和一些参数</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjkkee9.html">【转】STM32 独立看门狗简介</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
